aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.CopyObject

# Documentation

data CopyMetadataDirective #

Constructors

CopyMetadata |
ReplaceMetadata [(Text, Text)] |

#### Instances

Instances details

Show CopyMetadataDirective # |
Instance details Defined in Aws.S3.Commands.CopyObject Methods showsPrec :: Int -> CopyMetadataDirective -> ShowS # show :: CopyMetadataDirective -> String # showList :: [CopyMetadataDirective] -> ShowS #

data CopyObject #

Constructors

CopyObject |

Fields

- coObjectName :: Text
- coBucket :: Bucket
- coSource :: ObjectId
- coMetadataDirective :: CopyMetadataDirective
- coIfMatch :: Maybe Text
- coIfNoneMatch :: Maybe Text
- coIfUnmodifiedSince :: Maybe UTCTime
- coIfModifiedSince :: Maybe UTCTime
- coStorageClass :: Maybe StorageClass
- coAcl :: Maybe CannedAcl
- coContentType :: Maybe ByteString

#### Instances

Instances details

SignQuery CopyObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ServiceConfiguration CopyObject |
Instance details Defined in Aws.S3.Commands.CopyObject type ServiceConfiguration CopyObject = S3Configuration

Methods

signQuery :: CopyObject -> ServiceConfiguration CopyObject queryType -> SignatureData -> SignedQuery #

Show CopyObject # |
Instance details Defined in Aws.S3.Commands.CopyObject Methods showsPrec :: Int -> CopyObject -> ShowS # show :: CopyObject -> String # showList :: [CopyObject] -> ShowS #
ResponseConsumer CopyObject CopyObjectResponse # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ResponseMetadata CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> CopyObject -> IORef (ResponseMetadata CopyObjectResponse) -> HTTPResponseConsumer CopyObjectResponse #

Transaction CopyObject CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject
type ServiceConfiguration CopyObject # |
Instance details Defined in Aws.S3.Commands.CopyObject type ServiceConfiguration CopyObject = S3Configuration

copyObject :: Bucket -> Text -> ObjectId -> CopyMetadataDirective -> CopyObject #

data CopyObjectResponse #

Constructors

CopyObjectResponse |

Fields

- corVersionId :: Maybe Text
- corLastModified :: UTCTime
- corETag :: Text

#### Instances

Instances details

AsMemoryResponse CopyObjectResponse # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type MemoryResponse CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type MemoryResponse CopyObjectResponse = CopyObjectResponse

Methods

loadToMemory :: CopyObjectResponse -> ResourceT IO (MemoryResponse CopyObjectResponse) #

Show CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject Methods showsPrec :: Int -> CopyObjectResponse -> ShowS # show :: CopyObjectResponse -> String # showList :: [CopyObjectResponse] -> ShowS #
ResponseConsumer CopyObject CopyObjectResponse # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ResponseMetadata CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> CopyObject -> IORef (ResponseMetadata CopyObjectResponse) -> HTTPResponseConsumer CopyObjectResponse #

Transaction CopyObject CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject
type MemoryResponse CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject type MemoryResponse CopyObjectResponse = CopyObjectResponse
type ResponseMetadata CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata